/* test errors:
create:
- unknown name
- empty name
- existing name

delete:
- unknown name
- missing pool

create widget:
- unknown name
- missing pool
- 
*/

{widget_pool_err.i}

def var h as handle.
def var chu as char init ?.
def var che as char init "".
def var wp1a as char init "wp1a".
def var wp2a as char init "wp2a".
def var missing as char init "missing".

procedure proc0.
   {widget_pool_err1a.i
      &what="create widget-pool wp1a"
      &code="101"
      &err="yes"}

   {widget_pool_err1a.i
      &what="create widget-pool wp2a"
      &code="102"
      &err="no"}

   {widget_pool_err1a.i
      &what="delete widget-pool wp1a"
      &code="103"
      &err="no"}
end.

/* delete not existing or invalid names*/
{widget_pool_err1a.i
   &what="delete widget-pool"
   &code="1"
   &err="no"}

{widget_pool_err1a.i
   &what="delete widget-pool ''"
   &code="2"
   &err="yes"}

{widget_pool_err1a.i
   &what="delete widget-pool 'missing'"
   &code="3"
   &err="yes"}

{widget_pool_err1a.i
   &what="delete widget-pool chu"
   &code="4"
   &err="yes"}

{widget_pool_err1a.i
   &what="delete widget-pool che"
   &code="5"
   &err="yes"}

{widget_pool_err1a.i
   &what="delete widget-pool missing"
   &code="6"
   &err="yes"}

/* start create */
{widget_pool_err1a.i
   &what="create widget-pool"
   &code="7"
   &err="no"}

{widget_pool_err1a.i
   &what="create widget-pool ''"
   &code="8"
   &err="yes"}

{widget_pool_err1a.i
   &what="create widget-pool 'wp0a'"
   &code="9"
   &err="no"}

{widget_pool_err1a.i
   &what="create widget-pool 'wp0a'"
   &code="10"
   &err="yes"}

{widget_pool_err1a.i
   &what="create widget-pool chu"
   &code="11"
   &err="yes"}

{widget_pool_err1a.i
   &what="create widget-pool che"
   &code="12"
   &err="yes"}

{widget_pool_err1a.i
   &what="create widget-pool wp1a"
   &code="13"
   &err="no"}

{widget_pool_err1a.i
   &what="create widget-pool wp1a"
   &code="14"
   &err="yes"}

run proc0.

{widget_pool_err1a.i
   &what="create widget-pool wp2a"
   &code="15"
   &err="no"}

{widget_pool_err1a.i
   &what="create widget-pool wp1a"
   &code="16"
   &err="no"}
   