/* test errors:
create:
- unknown name
- empty name
- existing name

delete:
- unknown name
- missing pool

create widget:
- unknown name
- missing pool
- 
*/

{widget_pool_err.i}

def var h as handle.
def var chu as char init ?.
def var che as char init "".
def var wp1b as char init "wp1b".
def var wp2b as char init "wp2b".
def var missing as char init "missing".

procedure proc0.
   {widget_pool_err1b.i
      &what="create widget-pool wp1b"
      &code="101"
      &err="yes"
      &errcode="4116"
      &errmsg="Attempt to create widget-pool wp1b, but it already exists"}

   {widget_pool_err1b.i
      &what="create widget-pool wp2b"
      &code="102"
      &err="no"
      &errcode="0"
      &errmsg=" "}

   {widget_pool_err1b.i
      &what="delete widget-pool wp1b"
      &code="103"
      &err="no"
      &errcode="0"
      &errmsg=" "}
end.

/* delete not existing or invalid names*/
{widget_pool_err1b.i
   &what="delete widget-pool"
   &code="1"
   &err="no"
   &errcode="0"
   &errmsg=" "}

{widget_pool_err1b.i
   &what="delete widget-pool ''"
   &code="2"
   &err="yes"
   &errcode="4117"
   &errmsg="Attempt to delete widget-pool , but it doesn't exist"}

{widget_pool_err1b.i
   &what="delete widget-pool 'missing'"
   &code="3"
   &err="yes"
   &errcode="4117"
   &errmsg="Attempt to delete widget-pool missing, but it doesn't exist"}

{widget_pool_err1b.i
   &what="delete widget-pool chu"
   &code="4"
   &err="yes"
   &errcode="3177"
   &errmsg="Unable to evaluate widget pool name"}


{widget_pool_err1b.i
   &what="delete widget-pool che"
   &code="5"
   &err="yes"
   &errcode="4117"
   &errmsg="Attempt to delete widget-pool , but it doesn't exist"}

{widget_pool_err1b.i
   &what="delete widget-pool missing"
   &code="6"
   &err="yes"
   &errcode="4117"
   &errmsg="Attempt to delete widget-pool missing, but it doesn't exist"}

/* start create */
{widget_pool_err1b.i
   &what="create widget-pool"
   &code="7"
   &err="no"
   &errcode="0"
   &errmsg=" "}

{widget_pool_err1b.i
   &what="create widget-pool ''"
   &code="8"
   &err="yes"
   &errcode="4115"
   &errmsg="Attempt to create a widget-pool with a zero-length name"}

{widget_pool_err1b.i
   &what="create widget-pool 'wp0b'"
   &code="9"
   &err="no"
   &errcode="0"
   &errmsg=" "}

{widget_pool_err1b.i
   &what="create widget-pool 'wp0b'"
   &code="10"
   &err="yes"
   &errcode="4116"
   &errmsg="Attempt to create widget-pool wp0b, but it already exists"}

{widget_pool_err1b.i
   &what="create widget-pool chu"
   &code="11"
   &err="yes"
   &errcode="3177"
   &errmsg="Unable to evaluate widget pool name"}

{widget_pool_err1b.i
   &what="create widget-pool che"
   &code="12"
   &err="yes"
   &errcode="4115"
   &errmsg="Attempt to create a widget-pool with a zero-length name"}

{widget_pool_err1b.i
   &what="create widget-pool wp1b"
   &code="13"
   &err="no"
   &errcode="0"
   &errmsg=" "}

{widget_pool_err1b.i
   &what="create widget-pool wp1b"
   &code="14"
   &err="yes"
   &errcode="4116"
   &errmsg="Attempt to create widget-pool wp1b, but it already exists"}

run proc0.

{widget_pool_err1b.i
   &what="create widget-pool wp2b"
   &code="15"
   &err="no"
   &errcode="0"
   &errmsg=" "}

{widget_pool_err1b.i
   &what="create widget-pool wp1b"
   &code="15"
   &err="no"
   &errcode="0"
   &errmsg=" "}
   